class Employee
  attr_reader :name
#  attr_accessor :title, :salary
  attr_reader :title, :salary

  def initialize(name, title, salary, payroll)
    @name, @title, @salary = name, title, salary
    @payroll = payroll
  end
  
  def salary=(new_salary)
    @salary = new_salary
    @payroll.update(self)
  end
end

class Payroll
  def update(changed_employee)
    puts("#{changed_employee.name}のために小切手を切ります!")
    puts("彼の給料はいま#{changed_employee.salary}です!")
  end
end

payroll = Payroll.new
p fred = Employee.new("Fred Flintstone", "Crane Operator", 30000.0, payroll)

p fred.salary = 35000.0
p fred

